Virtuemart on Joomla 4

If you are runnig Joomla 3.x and Virtuemart 3.x please post to this forum your questions or support tickets about One Page Checkout

Virtuemart on Joomla 4

Postby admin » Mon Aug 23, 2021 3:55 pm

Dear friends, we are glad to announce a solution to run experimentally run your site on Joomla 4.

We've created a compatiblity plugin available here:
https://www.rupostel.com/plg_system_j4legacy.zip

that initializes overrides for Virtuemart 3.8.9 which are requried for Virtuemart to run on Joomla 4 code.

This is how to use it:
1. install clearn joomla 4 site
2. install our plugin from above (https://www.rupostel.com/plg_system_j4legacy.zip)
3. enable our plugin + change your database driver to "Mysqlivm"
4. download - http://dev.virtuemart.net/attachments/1 ... xtract.zip and extract
5. install com_virtuemart.3.8.9.10514.zip
6. install com_virtuemart.3.8.9.10514_ext_aio.zip

Report the bugs within the forum - https://forum.virtuemart.net/index.php?topic=142569.15
or here.

Note:
This plugin was made for vm3.8.9 - if you are using newer VM version, please disable as many overrides in the plugin as possible within the j4legacy plugin to see if your code is fully compatible with j4.

Our OPC can be run on Joomla 4 from version 2.0.418 and for now it requires this plugin for it to work properly.

Upgrade scenario is not yet tested, but the plugin should work on joomla 3 as well as enabled so upgrading from j3 to j4 might work as well - not tested at the moment.

Please note that running VM or our OPC on Joomla 4 is not yet officially supported and thus no active support can be provided in this matter. We do not recommend to use this on a production site yet.

Best Regards, Stan
admin
Site Admin
 
Posts: 2661
Joined: Wed Jan 06, 2010 11:43 pm

Re: Virtuemart on Joomla 4

Postby minion » Fri Aug 27, 2021 2:37 am

3. enable our plugin + change your database driver to "Mysqlivm"


Before change DB driver you have to check mysqlivm checkbox in plugin setup (after instalation is not checked).
After check and save setup this plugin, you see "Mysqlivm" option in global configuration in dropdown.

Before this not yet.
minion
 
Posts: 11
Joined: Wed Jul 20, 2016 3:34 am

Re: Virtuemart on Joomla 4

Postby minion » Fri Aug 27, 2021 2:46 am

Ok, first report:

7. Install com_tcpdf_1.0.9.zip
8. Install vmadmin.zip

Go to VM Control Panel - https://joomla4.easy.minion.cz/administ ... virtuemart

Error 0:

No Shop Currency defined! Go to https://joomla4.easy.minion.cz/administ ... k=editshop - IS NOT THIS ERROR, only bug after installation VM

An error has occurred.
0 Call to undefined method VirtueMartViewVirtueMart::manager()
Attachments
Screenshot 2021-08-27 at 02.42.22.png
Screenshot 2021-08-27 at 02.42.22.png (133.89 KiB) Viewed 21312 times
minion
 
Posts: 11
Joined: Wed Jul 20, 2016 3:34 am

Re: Virtuemart on Joomla 4

Postby minion » Sat Aug 28, 2021 10:40 am

Ok, continue :)

I don't know if is right, but FIX or WORKAROUND:

1. Go to file: administrator/components/com_virtuemart/helpers/adminui.php on line 350 (there is error with 0 Call to undefined method VirtueMartViewVirtueMart::manager())
2. Change

Code: Select all
if ( $vmView->manager($link ['view'])
|| $target || $link ['view']=='about' || $link ['view']=='virtuemart') {


to

Code: Select all
if ( ($link ['view'])
|| $target || $link ['view']=='about' || $link ['view']=='virtuemart') {


3. Enable database Update tools
4. Tools and Migration - Reset all Virtuemart tables and do a fresh install with sample data
5. Create menu item - VirtueMart Category view


Now you see VM Shop on Joomla 4 :)

https://joomla4.easy.minion.cz
minion
 
Posts: 11
Joined: Wed Jul 20, 2016 3:34 am

Re: Virtuemart on Joomla 4

Postby admin » Mon Aug 30, 2021 5:34 pm

Hello, please update with an updated plugin at https://www.rupostel.com/plg_system_j4legacy.zip

VM will release a new build soon for public review to test on Joomla 4 which will not require our j4legacy plugin.

best regards, stan
admin
Site Admin
 
Posts: 2661
Joined: Wed Jan 06, 2010 11:43 pm

Re: Virtuemart on Joomla 4

Postby admin » Mon Sep 06, 2021 1:24 pm

This is a DEV version of Virtuemart which might not need our j4legacy plugin to operate, it still might include lot's of issues and bugs which are being worked on:

i packed a few mods we did last friday against 10533 version and you can try it with these links:

https://php80.rupostel.com/d/vm/com_vir ... 3_stan.zip
https://php80.rupostel.com/d/vm/com_vir ... xt_aio.zip
https://php80.rupostel.com/d/vm/vmadmin.zip


the 533 version includes an updated router.php and updated vm2admin.js against standard 10533 version.

This is purely a DEV release for joomla 4 and might not work correctly on joomla 3.x or complex production sites

best regards, stan
admin
Site Admin
 
Posts: 2661
Joined: Wed Jan 06, 2010 11:43 pm

Re: Virtuemart on Joomla 4

Postby artisanet » Thu Feb 10, 2022 12:10 pm

Hello Stan
this is is message from France

I followed your method and everything works fine, http://artisanet.info/4jv3/index.php?option=com_virtuemart&view=virtuemart&Itemid=118
except for 2 problems:

- I can't open product categories in backend (see attached image) Image
- vendor contact do not work correctly http://artisanet.info/4jv3/index.php?option=com_virtuemart&view=vendor&layout=contact&virtuemart_vendor_id=1&Itemid=121
Can you help me please ?

Note, tip: For all menu tabs to work well, in Global configuration, I have disabled Search Engine Friendly URLs

Thank you again for your work
Jacky
artisanet
 
Posts: 1
Joined: Wed Feb 09, 2022 11:30 pm

Re: Virtuemart on Joomla 4

Postby admin » Thu Feb 17, 2022 6:33 pm

Hello, you might want to try the very latest VM build:
https://php73.rupostel.com/d/com_virtue ... .10591.zip
(it's from yesterday - 16.Feb 22)

with this version of VM and OPC 2.0.423 it should not be necessary to use the compatiblity plugin. there are still some bugs in core VM so you might rather report this to VM forums using my fatal catcher to provide the backtrace.

generally i suggest to test on php8.1 so that we catch as many issues as possible, but currently most stable version is php7.4 in matters of code support.

you also might want to enable "xdebug" php extension withi minimal configuration so it can provide more robust backtraces.

best regards, stan
admin
Site Admin
 
Posts: 2661
Joined: Wed Jan 06, 2010 11:43 pm


Return to One Page Checkout for Virtuemart 3 on Joomla 3.x

cron